# group_sl.cpp File Reference

Code handling saving and loading of economy data. More...

`#include "../stdafx.h"`
`#include "../group.h"`
`#include "saveload.h"`

Go to the source code of this file.

## Functions
static void | Save_GRPS (void)
static void | Load_GRPS (void)
## Variables
static const SaveLoad | _group_desc []
const ChunkHandler | _group_chunk_handlers []

## Detailed Description

Code handling saving and loading of economy data.

Definition in file group_sl.cpp.

## Variable Documentation

const ChunkHandler _group_chunk_handlers[]

Initial value:

     {
      { 'GRPS', Save_GRPS, Load_GRPS, CH_ARRAY | CH_LAST},
    }

const SaveLoad _group_desc[]`[static]`

Initial value:

     {
      SLE_CONDVAR(Group, name,           SLE_NAME,    0, 83),
      SLE_CONDSTR(Group, name,           SLE_STR, 0, 84, SL_MAX_VERSION),
      SLE_VAR(Group, num_vehicle,        SLE_UINT16),
      SLE_VAR(Group, owner,              SLE_UINT8),
      SLE_VAR(Group, vehicle_type,       SLE_UINT8),
      SLE_VAR(Group, replace_protection, SLE_BOOL),

    }

Definition at line 10 of file group_sl.cpp.